avro-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From b...@apache.org
Subject [35/43] avro git commit: AVRO-1828: Add EditorConfig file and cleanup of whitespace violations
Date Sat, 14 May 2016 23:44:08 GMT
AVRO-1828: Add EditorConfig file and cleanup of whitespace violations


Project: http://git-wip-us.apache.org/repos/asf/avro/repo
Commit: http://git-wip-us.apache.org/repos/asf/avro/commit/ade55151
Tree: http://git-wip-us.apache.org/repos/asf/avro/tree/ade55151
Diff: http://git-wip-us.apache.org/repos/asf/avro/diff/ade55151

Branch: refs/heads/branch-1.8
Commit: ade55151d2afbf18dabeea8f36844051b95febf9
Parents: 27ea8ff
Author: Niels Basjes <nielsbasjes@apache.org>
Authored: Mon May 2 17:28:11 2016 +0200
Committer: Ryan Blue <blue@apache.org>
Committed: Sat May 14 16:43:07 2016 -0700

----------------------------------------------------------------------
 .editorconfig                                   |  34 ++
 CHANGES.txt                                     |   2 +
 build.sh                                        | 325 +++++++++----------
 doc/build.xml                                   |   4 +-
 .../src/main/java/example/GenericMain.java      |  68 ++--
 .../src/main/java/example/SpecificMain.java     |  70 ++--
 .../java/example/MapReduceAvroWordCount.java    |   2 +-
 doc/src/content/xdocs/mr.xml                    |  16 +-
 doc/src/content/xdocs/site.xml                  |  10 +-
 doc/src/content/xdocs/spec.xml                  |  52 +--
 doc/src/content/xdocs/tabs.xml                  |   4 +-
 doc/src/skinconf.xml                            |  92 +++---
 lang/c++/build.sh                               |  88 ++---
 lang/c/build.sh                                 |  90 ++---
 lang/c/version.sh                               |  42 +--
 lang/csharp/build.sh                            |  60 ++--
 .../src/main/avro/order-service.avpr            |  42 +--
 .../main/java/service/SimpleOrderService.java   |   2 +-
 .../SimpleOrderServiceIntegrationTest.java      |  64 ++--
 .../org/apache/avro/AvroRemoteException.java    |   4 +-
 .../java/org/apache/avro/JsonProperties.java    |  10 +-
 .../src/main/java/org/apache/avro/Protocol.java |  16 +-
 .../src/main/java/org/apache/avro/Schema.java   |  52 +--
 .../java/org/apache/avro/SchemaBuilder.java     | 310 +++++++++---------
 .../apache/avro/SchemaValidationStrategy.java   |   2 +-
 .../java/org/apache/avro/SchemaValidator.java   |   2 +-
 .../org/apache/avro/SchemaValidatorBuilder.java |   6 +-
 .../apache/avro/UnresolvedUnionException.java   |   2 +-
 .../java/org/apache/avro/ValidateCanBeRead.java |   4 +-
 .../java/org/apache/avro/ValidateCanRead.java   |   4 +-
 .../org/apache/avro/ValidateMutualRead.java     |   6 +-
 .../java/org/apache/avro/data/ErrorBuilder.java |  16 +-
 .../main/java/org/apache/avro/data/Json.java    |   4 +-
 .../org/apache/avro/data/RecordBuilder.java     |   2 +-
 .../org/apache/avro/data/RecordBuilderBase.java |  32 +-
 .../java/org/apache/avro/file/BZip2Codec.java   |   4 +-
 .../main/java/org/apache/avro/file/Codec.java   |   6 +-
 .../java/org/apache/avro/file/CodecFactory.java |  12 +-
 .../org/apache/avro/file/DataFileConstants.java |   2 +-
 .../org/apache/avro/file/DataFileReader.java    |  10 +-
 .../org/apache/avro/file/DataFileReader12.java  |   8 +-
 .../org/apache/avro/file/DataFileStream.java    |  26 +-
 .../org/apache/avro/file/DataFileWriter.java    |  28 +-
 .../java/org/apache/avro/file/DeflateCodec.java |  16 +-
 .../java/org/apache/avro/file/FileReader.java   |   2 +-
 .../java/org/apache/avro/file/NullCodec.java    |   2 +-
 .../java/org/apache/avro/file/SnappyCodec.java  |   6 +-
 .../org/apache/avro/generic/GenericArray.java   |   2 +-
 .../org/apache/avro/generic/GenericData.java    |  44 +--
 .../apache/avro/generic/GenericDatumReader.java |  38 +--
 .../apache/avro/generic/GenericDatumWriter.java |  16 +-
 .../avro/generic/GenericRecordBuilder.java      |  50 +--
 .../java/org/apache/avro/io/BinaryData.java     |   8 +-
 .../java/org/apache/avro/io/BinaryDecoder.java  |  30 +-
 .../java/org/apache/avro/io/BinaryEncoder.java  |  20 +-
 .../apache/avro/io/BlockingBinaryEncoder.java   |  26 +-
 .../apache/avro/io/BufferedBinaryEncoder.java   |  16 +-
 .../main/java/org/apache/avro/io/Decoder.java   |  10 +-
 .../java/org/apache/avro/io/DecoderFactory.java |  36 +-
 .../org/apache/avro/io/DirectBinaryDecoder.java |  10 +-
 .../org/apache/avro/io/DirectBinaryEncoder.java |   8 +-
 .../main/java/org/apache/avro/io/Encoder.java   |  24 +-
 .../java/org/apache/avro/io/EncoderFactory.java |  46 +--
 .../java/org/apache/avro/io/JsonDecoder.java    |  38 +--
 .../java/org/apache/avro/io/JsonEncoder.java    |  16 +-
 .../java/org/apache/avro/io/ParsingDecoder.java |   4 +-
 .../java/org/apache/avro/io/ParsingEncoder.java |   6 +-
 .../org/apache/avro/io/ResolvingDecoder.java    |  18 +-
 .../org/apache/avro/io/ValidatingDecoder.java   |  14 +-
 .../org/apache/avro/io/ValidatingEncoder.java   |   8 +-
 .../java/org/apache/avro/io/parsing/Parser.java |  12 +-
 .../io/parsing/ResolvingGrammarGenerator.java   |  26 +-
 .../org/apache/avro/io/parsing/SkipParser.java  |   2 +-
 .../java/org/apache/avro/io/parsing/Symbol.java |  84 ++---
 .../io/parsing/ValidatingGrammarGenerator.java  |   6 +-
 .../java/org/apache/avro/reflect/AvroAlias.java |   2 +-
 .../org/apache/avro/reflect/CustomEncoding.java |   6 +-
 .../org/apache/avro/reflect/FieldAccess.java    |   2 +-
 .../apache/avro/reflect/FieldAccessReflect.java |   8 +-
 .../apache/avro/reflect/FieldAccessUnsafe.java  |  14 +-
 .../org/apache/avro/reflect/FieldAccessor.java  |   8 +-
 .../org/apache/avro/reflect/ReflectData.java    |  78 ++---
 .../apache/avro/reflect/ReflectDatumReader.java |   4 +-
 .../apache/avro/reflect/ReflectDatumWriter.java |  12 +-
 .../org/apache/avro/reflect/ReflectionUtil.java |   4 +-
 .../org/apache/avro/specific/AvroGenerated.java |   4 +-
 .../org/apache/avro/specific/SpecificData.java  |  12 +-
 .../avro/specific/SpecificDatumReader.java      |   2 +-
 .../avro/specific/SpecificDatumWriter.java      |   8 +-
 .../avro/specific/SpecificErrorBuilderBase.java |  22 +-
 .../avro/specific/SpecificExceptionBase.java    |   4 +-
 .../org/apache/avro/specific/SpecificFixed.java |   4 +-
 .../avro/specific/SpecificRecordBase.java       |   2 +-
 .../specific/SpecificRecordBuilderBase.java     |   8 +-
 .../avro/util/ByteBufferOutputStream.java       |   4 +-
 .../main/java/org/apache/avro/util/Utf8.java    |   2 +-
 .../apache/avro/util/WeakIdentityHashMap.java   |   6 +-
 .../test/java/org/apache/avro/AvroTestUtil.java |  12 +-
 .../org/apache/avro/FooBarSpecificRecord.java   |  64 ++--
 .../org/apache/avro/GenerateBlockingData.java   |  10 +-
 .../test/java/org/apache/avro/RandomData.java   |   4 +-
 .../test/java/org/apache/avro/TestDataFile.java |   2 +-
 .../org/apache/avro/TestDataFileConcat.java     |   6 +-
 .../org/apache/avro/TestDataFileCustomSync.java |   2 +-
 .../test/java/org/apache/avro/TestProtocol.java |   8 +-
 .../test/java/org/apache/avro/TestSchema.java   |   6 +-
 .../java/org/apache/avro/TestSchemaBuilder.java |  90 ++---
 .../apache/avro/TestSchemaNormalization.java    |   2 +-
 .../src/test/java/org/apache/avro/TypeEnum.java |   6 +-
 .../apache/avro/data/RecordBuilderBaseTest.java |  28 +-
 .../org/apache/avro/file/TestBZip2Codec.java    |  22 +-
 .../apache/avro/generic/TestGenericData.java    |  40 +--
 .../avro/generic/TestGenericDatumWriter.java    |  18 +-
 .../avro/generic/TestGenericRecordBuilder.java  |  22 +-
 .../org/apache/avro/io/LegacyBinaryEncoder.java |  24 +-
 .../org/apache/avro/io/TestBinaryDecoder.java   |  58 ++--
 .../avro/io/TestBinaryEncoderFidelity.java      |  12 +-
 .../java/org/apache/avro/io/TestBlockingIO.java |  18 +-
 .../org/apache/avro/io/TestBlockingIO2.java     |   8 +-
 .../java/org/apache/avro/io/TestEncoders.java   |  16 +-
 .../org/apache/avro/io/TestJsonDecoder.java     |   4 +-
 .../org/apache/avro/io/TestResolvingIO.java     |  10 +-
 .../avro/io/TestResolvingIOResolving.java       |   4 +-
 .../org/apache/avro/io/TestValidatingIO.java    |  46 +--
 .../parsing/TestResolvingGrammarGenerator.java  |   8 +-
 .../parsing/TestResolvingGrammarGenerator2.java |   2 +-
 .../org/apache/avro/reflect/TestByteBuffer.java |   4 +-
 .../avro/reflect/TestNonStringMapKeys.java      |  32 +-
 .../org/apache/avro/reflect/TestReflect.java    | 126 +++----
 .../apache/avro/reflect/TestReflectionUtil.java |   4 +-
 .../java/org/apache/avro/util/CaseFinder.java   |   2 +-
 .../java/org/apache/avro/util/TestUtf8.java     |   4 +-
 .../avro/compiler/specific/ProtocolTask.java    |  14 +-
 .../compiler/specific/SpecificCompiler.java     |  60 ++--
 .../specific/templates/java/classic/enum.vm     |   6 +-
 .../specific/templates/java/classic/fixed.vm    |  12 +-
 .../specific/templates/java/classic/record.vm   |  34 +-
 .../test/idl/putOnClassPath/OnTheClasspath.avdl |   6 +-
 .../test/idl/putOnClassPath/nestedtypes.avdl    |   4 +-
 .../org/apache/avro/compiler/idl/TestIdl.java   |   4 +-
 .../java/org/apache/avro/ipc/CallFuture.java    |  32 +-
 .../main/java/org/apache/avro/ipc/Callback.java |   6 +-
 .../org/apache/avro/ipc/DatagramServer.java     |   2 +-
 .../org/apache/avro/ipc/HttpTransceiver.java    |   6 +-
 .../java/org/apache/avro/ipc/NettyServer.java   |  20 +-
 .../org/apache/avro/ipc/NettyTransceiver.java   | 158 ++++-----
 .../apache/avro/ipc/NettyTransportCodec.java    |  40 +--
 .../java/org/apache/avro/ipc/RPCContext.java    |  60 ++--
 .../java/org/apache/avro/ipc/RPCPlugin.java     |  16 +-
 .../java/org/apache/avro/ipc/Requestor.java     |  68 ++--
 .../java/org/apache/avro/ipc/Responder.java     |  18 +-
 .../apache/avro/ipc/SaslSocketTransceiver.java  |   8 +-
 .../main/java/org/apache/avro/ipc/Server.java   |   4 +-
 .../java/org/apache/avro/ipc/SocketServer.java  |   4 +-
 .../org/apache/avro/ipc/SocketTransceiver.java  |   2 +-
 .../java/org/apache/avro/ipc/Transceiver.java   |   8 +-
 .../avro/ipc/generic/GenericResponder.java      |   2 +-
 .../avro/ipc/reflect/ReflectRequestor.java      |  18 +-
 .../avro/ipc/reflect/ReflectResponder.java      |   2 +-
 .../avro/ipc/specific/SpecificRequestor.java    |   8 +-
 .../avro/ipc/specific/SpecificResponder.java    |   2 +-
 .../org/apache/avro/ipc/stats/Histogram.java    |  22 +-
 .../apache/avro/ipc/stats/StaticServlet.java    |   4 +-
 .../org/apache/avro/ipc/stats/StatsPlugin.java  |  38 +--
 .../org/apache/avro/ipc/stats/StatsServer.java  |  18 +-
 .../org/apache/avro/ipc/stats/StatsServlet.java |  94 +++---
 .../org/apache/avro/DataFileInteropTest.java    |  18 +-
 .../java/org/apache/avro/RPCMetaTestPlugin.java |  82 ++---
 .../test/java/org/apache/avro/RandomData.java   |   4 +-
 .../test/java/org/apache/avro/TestCompare.java  |   2 +-
 .../org/apache/avro/TestDataFileSpecific.java   |   2 +-
 .../org/apache/avro/TestProtocolDatagram.java   |   2 +-
 .../org/apache/avro/TestProtocolGeneric.java    |   4 +-
 .../apache/avro/TestProtocolGenericMeta.java    |   4 +-
 .../java/org/apache/avro/TestProtocolHttp.java  |   4 +-
 .../java/org/apache/avro/TestProtocolHttps.java |   4 +-
 .../java/org/apache/avro/TestProtocolNetty.java |   4 +-
 .../org/apache/avro/TestProtocolReflect.java    |   2 +-
 .../apache/avro/TestProtocolReflectMeta.java    |   2 +-
 .../org/apache/avro/TestProtocolSpecific.java   |  26 +-
 .../apache/avro/TestProtocolSpecificMeta.java   |   6 +-
 .../test/java/org/apache/avro/TestSchema.java   |  64 ++--
 .../compiler/specific/TestSpecificCompiler.java | 202 ++++++------
 .../org/apache/avro/generic/TestDeepCopy.java   |  22 +-
 .../src/test/java/org/apache/avro/io/Perf.java  | 190 +++++------
 .../apache/avro/ipc/TestLocalTransceiver.java   |   2 +-
 .../org/apache/avro/ipc/TestNettyServer.java    |  28 +-
 .../ipc/TestNettyServerConcurrentExecution.java |  72 ++--
 .../avro/ipc/TestNettyServerWithCallbacks.java  | 140 ++++----
 .../ipc/TestNettyServerWithCompression.java     |   2 +-
 .../apache/avro/ipc/TestNettyServerWithSSL.java |   4 +-
 .../apache/avro/ipc/TestRpcPluginOrdering.java  |  14 +-
 .../org/apache/avro/ipc/TestSaslAnonymous.java  |   4 +-
 .../org/apache/avro/ipc/TestSaslDigestMd5.java  |   4 +-
 .../apache/avro/ipc/stats/TestHistogram.java    |  18 +-
 .../ipc/stats/TestStatsPluginAndServlet.java    |  10 +-
 .../apache/avro/specific/TestSpecificData.java  |   2 +-
 .../avro/specific/TestSpecificDatumReader.java  |   8 +-
 .../avro/specific/TestSpecificErrorBuilder.java |  14 +-
 .../specific/TestSpecificRecordBuilder.java     |  36 +-
 lang/java/mapred/pom.xml                        |   4 +-
 .../avro/hadoop/file/HadoopCodecFactory.java    |   8 +-
 .../avro/hadoop/file/SortedKeyValueFile.java    |   2 +-
 .../apache/avro/hadoop/io/AvroSequenceFile.java |   2 +-
 .../avro/mapred/AvroAsTextInputFormat.java      |   4 +-
 .../avro/mapred/AvroAsTextRecordReader.java     |  10 +-
 .../org/apache/avro/mapred/AvroInputFormat.java |   6 +-
 .../java/org/apache/avro/mapred/AvroJob.java    |   6 +-
 .../apache/avro/mapred/AvroMultipleOutputs.java |  52 +--
 .../apache/avro/mapred/AvroOutputFormat.java    |  22 +-
 .../apache/avro/mapred/AvroRecordReader.java    |  10 +-
 .../apache/avro/mapred/AvroSerialization.java   |  18 +-
 .../avro/mapred/AvroTextOutputFormat.java       |  14 +-
 .../apache/avro/mapred/AvroUtf8InputFormat.java |   8 +-
 .../org/apache/avro/mapred/AvroWrapper.java     |   4 +-
 .../org/apache/avro/mapred/HadoopCombiner.java  |   2 +-
 .../org/apache/avro/mapred/HadoopMapper.java    |   6 +-
 .../apache/avro/mapred/HadoopReducerBase.java   |   8 +-
 .../main/java/org/apache/avro/mapred/Pair.java  |  10 +-
 .../apache/avro/mapred/SequenceFileReader.java  |   6 +-
 .../avro/mapred/SequenceFileRecordReader.java   |   2 +-
 .../apache/avro/mapred/tether/TetherData.java   |   2 +-
 .../avro/mapred/tether/TetherInputFormat.java   |   2 +-
 .../apache/avro/mapred/tether/TetherJob.java    |  14 +-
 .../avro/mapred/tether/TetherKeyComparator.java |   2 +-
 .../mapred/tether/TetherKeySerialization.java   |  12 +-
 .../avro/mapred/tether/TetherMapRunner.java     |   6 +-
 .../avro/mapred/tether/TetherOutputFormat.java  |   2 +-
 .../avro/mapred/tether/TetherPartitioner.java   |   2 +-
 .../avro/mapred/tether/TetherRecordReader.java  |  10 +-
 .../avro/mapred/tether/TetherReducer.java       |   2 +-
 .../avro/mapred/tether/TetheredProcess.java     |   4 +-
 .../avro/mapreduce/AvroKeyRecordWriter.java     |   6 +-
 .../mapreduce/AvroKeyValueRecordWriter.java     |   6 +-
 .../avro/mapreduce/AvroMultipleOutputs.java     | 108 +++---
 .../avro/mapreduce/AvroOutputFormatBase.java    |   6 +-
 .../hadoop/file/TestHadoopCodecFactory.java     |  10 +-
 .../apache/avro/mapred/TestAvroInputFormat.java |  16 +-
 .../avro/mapred/TestAvroMultipleOutputs.java    |  96 +++---
 .../avro/mapred/TestAvroOutputFormat.java       |  52 +--
 .../avro/mapred/TestAvroTextOutputFormat.java   |  10 +-
 .../apache/avro/mapred/TestAvroTextSort.java    |  12 +-
 .../org/apache/avro/mapred/TestGenericJob.java  |  18 +-
 .../org/apache/avro/mapred/TestReflectJob.java  |  18 +-
 .../avro/mapred/TestSequenceFileReader.java     |  26 +-
 .../org/apache/avro/mapred/TestWeather.java     |  20 +-
 .../org/apache/avro/mapred/TestWordCount.java   |  50 +--
 .../org/apache/avro/mapred/WordCountUtil.java   |   8 +-
 .../apache/avro/mapred/tether/TetherTask.java   |   4 +-
 .../avro/mapred/tether/WordCountTask.java       |   6 +-
 .../avro/mapreduce/TestAvroKeyRecordWriter.java |  18 +-
 .../mapreduce/TestAvroKeyValueRecordWriter.java |  24 +-
 .../avro/mapreduce/TestAvroMultipleOutputs.java |  28 +-
 .../TestAvroMultipleOutputsSyncable.java        |  26 +-
 lang/java/maven-plugin/pom.xml                  |   2 +-
 .../org/apache/avro/mojo/AbstractAvroMojo.java  |  16 +-
 .../org/apache/avro/mojo/IDLProtocolMojo.java   |   8 +-
 .../java/org/apache/avro/mojo/ProtocolMojo.java |   8 +-
 .../java/org/apache/avro/mojo/SchemaMojo.java   |  16 +-
 .../apache/avro/mojo/AbstractAvroMojoTest.java  |   2 +-
 .../apache/avro/mojo/TestIDLProtocolMojo.java   |   2 +-
 .../org/apache/avro/mojo/TestProtocolMojo.java  |   2 +-
 .../org/apache/avro/mojo/TestSchemaMojo.java    |   2 +-
 .../src/test/resources/unit/idl/pom.xml         |   6 +-
 .../src/test/resources/unit/protocol/pom.xml    |   6 +-
 .../src/test/resources/unit/schema/pom.xml      |   8 +-
 lang/java/pom.xml                               |   4 +-
 .../org/apache/avro/protobuf/ProtobufData.java  |   8 +-
 .../avro/protobuf/ProtobufDatumReader.java      |   4 +-
 .../avro/protobuf/ProtobufDatumWriter.java      |  10 +-
 .../java/org/apache/avro/protobuf/Test.java     |  28 +-
 .../org/apache/avro/protobuf/TestProtobuf.java  |   2 +-
 .../java/org/apache/avro/thrift/ThriftData.java |   2 +-
 .../apache/avro/thrift/ThriftDatumWriter.java   |   6 +-
 .../java/org/apache/avro/thrift/test/E.java     |   2 +-
 .../java/org/apache/avro/thrift/test/Error.java |   6 +-
 .../java/org/apache/avro/thrift/test/Foo.java   |  28 +-
 .../org/apache/avro/thrift/test/FooOrBar.java   |   4 +-
 .../org/apache/avro/thrift/test/Nested.java     |   6 +-
 .../java/org/apache/avro/thrift/test/Test.java  |  80 ++---
 lang/java/tools/pom.xml                         |   2 +-
 .../avro/tool/BinaryFragmentToJsonTool.java     |   4 +-
 .../main/java/org/apache/avro/tool/CatTool.java |  38 +--
 .../apache/avro/tool/DataFileGetMetaTool.java   |   6 +-
 .../apache/avro/tool/DataFileRepairTool.java    |  10 +-
 .../org/apache/avro/tool/DataFileWriteTool.java |   2 +-
 .../java/org/apache/avro/tool/FromTextTool.java |  14 +-
 .../main/java/org/apache/avro/tool/IdlTool.java |   2 +-
 .../avro/tool/JsonToBinaryFragmentTool.java     |  12 +-
 .../org/apache/avro/tool/RpcReceiveTool.java    |  12 +-
 .../java/org/apache/avro/tool/RpcSendTool.java  |   4 +-
 .../java/org/apache/avro/tool/ToTextTool.java   |  10 +-
 .../apache/avro/tool/TrevniMetadataTool.java    |   2 +-
 .../org/apache/avro/tool/TrevniToJsonTool.java  |   6 +-
 .../java/org/apache/avro/tool/TrevniUtil.java   |  10 +-
 .../main/java/org/apache/avro/tool/Util.java    |  74 ++---
 .../avro/examples/baseball/Player.java          |  32 +-
 .../avro/examples/baseball/Position.java        |   6 +-
 .../tools/src/test/compiler/output/Player.java  |  32 +-
 .../src/test/compiler/output/Position.java      |   6 +-
 .../java/org/apache/avro/tool/TestCatTool.java  |  36 +-
 .../avro/tool/TestCreateRandomFileTool.java     |   8 +-
 .../org/apache/avro/tool/TestDataFileTools.java |  46 +--
 .../tool/TestJsonToFromBinaryFragmentTools.java |  12 +-
 .../avro/tool/TestRpcReceiveAndSendTools.java   |   8 +-
 .../org/apache/avro/tool/TestTextFileTools.java |  10 +-
 .../org/apache/avro/tool/TestToTrevniTool.java  |   2 +-
 .../apache/trevni/avro/AvroColumnReader.java    |  20 +-
 .../apache/trevni/avro/AvroColumnWriter.java    |  12 +-
 .../org/apache/trevni/avro/AvroColumnator.java  |  14 +-
 .../trevni/avro/AvroTrevniInputFormat.java      |  10 +-
 .../trevni/avro/AvroTrevniOutputFormat.java     |   4 +-
 .../mapreduce/AvroTrevniKeyInputFormat.java     |  10 +-
 .../mapreduce/AvroTrevniKeyOutputFormat.java    |   8 +-
 .../mapreduce/AvroTrevniKeyRecordReader.java    |   4 +-
 .../AvroTrevniKeyValueInputFormat.java          |   8 +-
 .../AvroTrevniKeyValueOutputFormat.java         |  16 +-
 .../AvroTrevniKeyValueRecordReader.java         |   2 +-
 .../AvroTrevniKeyValueRecordWriter.java         |  22 +-
 .../mapreduce/AvroTrevniRecordReaderBase.java   |  16 +-
 .../mapreduce/AvroTrevniRecordWriterBase.java   |  30 +-
 .../java/org/apache/trevni/avro/RandomData.java |   6 +-
 .../trevni/avro/TestMetadataFiltering.java      |  10 +-
 .../org/apache/trevni/avro/TestShredder.java    |  38 +--
 .../org/apache/trevni/avro/TestWordCount.java   |  32 +-
 .../org/apache/trevni/avro/WordCountUtil.java   |   8 +-
 .../avro/mapreduce/TestKeyValueWordCount.java   |  48 +--
 .../trevni/avro/mapreduce/TestKeyWordCount.java |  62 ++--
 lang/java/trevni/core/pom.xml                   |   2 +-
 .../main/java/org/apache/trevni/BZip2Codec.java |  10 +-
 .../java/org/apache/trevni/BlockDescriptor.java |   4 +-
 .../org/apache/trevni/ColumnDescriptor.java     |   2 +-
 .../org/apache/trevni/ColumnFileReader.java     |   2 +-
 .../org/apache/trevni/ColumnFileWriter.java     |   4 +-
 .../org/apache/trevni/ColumnOutputBuffer.java   |   4 +-
 .../java/org/apache/trevni/ColumnValues.java    |   2 +-
 .../java/org/apache/trevni/DeflateCodec.java    |   6 +-
 .../java/org/apache/trevni/InputBuffer.java     |   6 +-
 .../main/java/org/apache/trevni/MetaData.java   |   2 +-
 .../java/org/apache/trevni/OutputBuffer.java    |   6 +-
 .../main/java/org/apache/trevni/ValueType.java  |   2 +-
 .../java/org/apache/trevni/TestBZip2Codec.java  |  26 +-
 .../java/org/apache/trevni/TestIOBuffers.java   |  44 +--
 .../java/org/apache/trevni/TestInputBytes.java  |   2 +-
 .../test/java/org/apache/trevni/TestUtil.java   |   2 +-
 lang/py/build.xml                               |  12 +-
 lang/py/ivysettings.xml                         |   4 +-
 lang/py3/scripts/avro                           |   0
 share/test/interop/bin/test_rpc_interop.sh      |  54 +--
 349 files changed, 3567 insertions(+), 3534 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/avro/blob/ade55151/.editorconfig
----------------------------------------------------------------------
diff --git a/.editorconfig b/.editorconfig
new file mode 100644
index 0000000..4efdf7d
--- /dev/null
+++ b/.editorconfig
@@ -0,0 +1,34 @@
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+root = true
+
+[*]
+charset = utf-8
+end_of_line = lf
+insert_final_newline = true
+
+[*.{java,xml,sh}]
+indent_style = space
+indent_size = 2
+trim_trailing_whitespace=true
+
+#[*.scala]
+#indent_style = space
+#indent_size = 2
+
+#[*.py]
+#indent_style = space
+#indent_size = 4

http://git-wip-us.apache.org/repos/asf/avro/blob/ade55151/CHANGES.txt
----------------------------------------------------------------------
diff --git a/CHANGES.txt b/CHANGES.txt
index 3a8f4e8..a8ed79f 100644
--- a/CHANGES.txt
+++ b/CHANGES.txt
@@ -31,6 +31,8 @@ Trunk (not yet released)
 
     AVRO-1835: Running tests using JDK 1.8 complains about MaxPermSize (nielsbasjes)
 
+    AVRO-1828: Add EditorConfig file and cleanup of whitespace violations (nielsbasjes)
+
   BUG FIXES
 
     AVRO-1493. Java: Avoid the "Turkish Locale Problem". Schema fingerprints are

http://git-wip-us.apache.org/repos/asf/avro/blob/ade55151/build.sh
----------------------------------------------------------------------
diff --git a/build.sh b/build.sh
index 37b3017..a373c2c 100755
--- a/build.sh
+++ b/build.sh
@@ -15,9 +15,9 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
-set -e						  # exit on error
+set -e                # exit on error
 
-cd `dirname "$0"`				  # connect to root
+cd `dirname "$0"`     # connect to root
 
 VERSION=`cat share/VERSION.txt`
 
@@ -31,202 +31,199 @@ then
   usage
 fi
 
-set -x						  # echo commands
+set -x                # echo commands
 
 for target in "$@"
 do
-
-case "$target" in
+  case "$target" in
 
     test)
-	# run lang-specific tests
-        (cd lang/java; mvn test)
-	(cd lang/py; ant test)
-	(cd lang/py3; python3 setup.py test)
-	(cd lang/c; ./build.sh test)
-	(cd lang/c++; ./build.sh test)
-	(cd lang/csharp; ./build.sh test)
-	(cd lang/js; ./build.sh test)
-	(cd lang/ruby; ./build.sh test)
-	(cd lang/php; ./build.sh test)
-	(cd lang/perl; perl ./Makefile.PL && make test)
-
-	# create interop test data
-        mkdir -p build/interop/data
-	(cd lang/java/avro; mvn -P interop-data-generate generate-resources)
-	(cd lang/py; ant interop-data-generate)
-	(cd lang/c; ./build.sh interop-data-generate)
-	#(cd lang/c++; make interop-data-generate)
-	(cd lang/ruby; rake generate_interop)
-	(cd lang/php; ./build.sh interop-data-generate)
-
-	# run interop data tests
-	(cd lang/java; mvn test -P interop-data-test)
-	(cd lang/py; ant interop-data-test)
-	(cd lang/c; ./build.sh interop-data-test)
-	#(cd lang/c++; make interop-data-test)
-	(cd lang/ruby; rake interop)
-	(cd lang/php; ./build.sh test-interop)
-
-	# java needs to package the jars for the interop rpc tests
-        (cd lang/java; mvn package -DskipTests)
-	# run interop rpc test
-        /bin/bash share/test/interop/bin/test_rpc_interop.sh
-
-	;;
+      # run lang-specific tests
+      (cd lang/java; mvn test)
+      (cd lang/py; ant test)
+      (cd lang/py3; python3 setup.py test)
+      (cd lang/c; ./build.sh test)
+      (cd lang/c++; ./build.sh test)
+      (cd lang/csharp; ./build.sh test)
+      (cd lang/js; ./build.sh test)
+      (cd lang/ruby; ./build.sh test)
+      (cd lang/php; ./build.sh test)
+      (cd lang/perl; perl ./Makefile.PL && make test)
+
+      # create interop test data
+      mkdir -p build/interop/data
+      (cd lang/java/avro; mvn -P interop-data-generate generate-resources)
+      (cd lang/py; ant interop-data-generate)
+      (cd lang/c; ./build.sh interop-data-generate)
+      #(cd lang/c++; make interop-data-generate)
+      (cd lang/ruby; rake generate_interop)
+      (cd lang/php; ./build.sh interop-data-generate)
+
+      # run interop data tests
+      (cd lang/java; mvn test -P interop-data-test)
+      (cd lang/py; ant interop-data-test)
+      (cd lang/c; ./build.sh interop-data-test)
+      #(cd lang/c++; make interop-data-test)
+      (cd lang/ruby; rake interop)
+      (cd lang/php; ./build.sh test-interop)
+
+      # java needs to package the jars for the interop rpc tests
+      (cd lang/java; mvn package -DskipTests)
+      # run interop rpc test
+      /bin/bash share/test/interop/bin/test_rpc_interop.sh
+    ;;
 
     dist)
-        # ensure version matches
-        # FIXME: enforcer is broken:MENFORCER-42
-        # mvn enforcer:enforce -Davro.version=$VERSION
-        
-	# build source tarball
-        mkdir -p build
-
-        SRC_DIR=avro-src-$VERSION
-        DOC_DIR=avro-doc-$VERSION
-
-	rm -rf build/${SRC_DIR}
-	if [ -d .svn ];
-	then
-		svn export --force . build/${SRC_DIR}
-	elif [ -d .git ];
-	then
-		mkdir -p build/${SRC_DIR}
-		git archive HEAD | tar -x -C build/${SRC_DIR}
-	else
-		echo "Not SVN and not GIT .. cannot continue"
-		exit -1;
-	fi
-
-	#runs RAT on artifacts
-        mvn -N -P rat antrun:run
-
-	mkdir -p dist
-        (cd build; tar czf ../dist/${SRC_DIR}.tar.gz ${SRC_DIR})
-
-	# build lang-specific artifacts
-        
-	(cd lang/java; mvn package -DskipTests -Dhadoop.version=1;
-	  rm -rf mapred/target/{classes,test-classes}/;
-	  rm -rf trevni/avro/target/{classes,test-classes}/;
-	  mvn -P dist package -DskipTests -Davro.version=$VERSION javadoc:aggregate)
-        (cd lang/java/trevni/doc; mvn site)
-        (mvn -N -P copy-artifacts antrun:run) 
-
-	(cd lang/py; ant dist)
-	(cd lang/py3; python3 setup.py sdist; cp -r dist ../../dist/py3)
-
-	(cd lang/c; ./build.sh dist)
-
-	(cd lang/c++; ./build.sh dist)
-
-	(cd lang/csharp; ./build.sh dist)
-
-	(cd lang/js; ./build.sh dist)
-
-	(cd lang/ruby; ./build.sh dist)
-
-	(cd lang/php; ./build.sh dist)
-
-        mkdir -p dist/perl
-	(cd lang/perl; perl ./Makefile.PL && make dist)
-        cp lang/perl/Avro-$VERSION.tar.gz dist/perl/
-
-	# build docs
-	(cd doc; ant)
-        # add LICENSE and NOTICE for docs
-        mkdir -p build/$DOC_DIR
-        cp doc/LICENSE build/$DOC_DIR
-        cp doc/NOTICE build/$DOC_DIR
-	(cd build; tar czf ../dist/avro-doc-$VERSION.tar.gz $DOC_DIR)
-
-	cp DIST_README.txt dist/README.txt
-	;;
+      # ensure version matches
+      # FIXME: enforcer is broken:MENFORCER-42
+      # mvn enforcer:enforce -Davro.version=$VERSION
 
-    sign)
+      # build source tarball
+      mkdir -p build
+
+      SRC_DIR=avro-src-$VERSION
+      DOC_DIR=avro-doc-$VERSION
+
+      rm -rf build/${SRC_DIR}
+      if [ -d .svn ];
+      then
+        svn export --force . build/${SRC_DIR}
+      elif [ -d .git ];
+      then
+        mkdir -p build/${SRC_DIR}
+        git archive HEAD | tar -x -C build/${SRC_DIR}
+      else
+        echo "Not SVN and not GIT .. cannot continue"
+        exit -1;
+      fi
+
+      #runs RAT on artifacts
+      mvn -N -P rat antrun:run
+
+      mkdir -p dist
+      (cd build; tar czf ../dist/${SRC_DIR}.tar.gz ${SRC_DIR})
+
+      # build lang-specific artifacts
+
+      (cd lang/java; mvn package -DskipTests -Dhadoop.version=1;
+      rm -rf mapred/target/{classes,test-classes}/;
+      rm -rf trevni/avro/target/{classes,test-classes}/;
+      mvn -P dist package -DskipTests -Davro.version=$VERSION javadoc:aggregate)
+      (cd lang/java/trevni/doc; mvn site)
+      (mvn -N -P copy-artifacts antrun:run)
+
+      (cd lang/py; ant dist)
+      (cd lang/py3; python3 setup.py sdist; cp -r dist ../../dist/py3)
+
+      (cd lang/c; ./build.sh dist)
 
-	set +x
+      (cd lang/c++; ./build.sh dist)
+
+      (cd lang/csharp; ./build.sh dist)
+
+      (cd lang/js; ./build.sh dist)
+
+      (cd lang/ruby; ./build.sh dist)
+
+      (cd lang/php; ./build.sh dist)
+
+      mkdir -p dist/perl
+      (cd lang/perl; perl ./Makefile.PL && make dist)
+      cp lang/perl/Avro-$VERSION.tar.gz dist/perl/
+
+      # build docs
+      (cd doc; ant)
+      # add LICENSE and NOTICE for docs
+      mkdir -p build/$DOC_DIR
+      cp doc/LICENSE build/$DOC_DIR
+      cp doc/NOTICE build/$DOC_DIR
+      (cd build; tar czf ../dist/avro-doc-$VERSION.tar.gz $DOC_DIR)
+
+      cp DIST_README.txt dist/README.txt
+      ;;
+
+    sign)
+      set +x
 
-	echo -n "Enter password: "
-	stty -echo
-	read password
-	stty echo
+      echo -n "Enter password: "
+      stty -echo
+      read password
+      stty echo
 
-	for f in $(find dist -type f \
-	    \! -name '*.md5' \! -name '*.sha1' \
-	    \! -name '*.asc' \! -name '*.txt' );
-	do
-	    (cd `dirname $f`; md5sum `basename $f`) > $f.md5
-	    (cd `dirname $f`; sha1sum `basename $f`) > $f.sha1
-	    gpg --passphrase $password --armor --output $f.asc --detach-sig $f
-	done
+      for f in $(find dist -type f \
+        \! -name '*.md5' \! -name '*.sha1' \
+        \! -name '*.asc' \! -name '*.txt' );
+      do
+        (cd `dirname $f`; md5sum `basename $f`) > $f.md5
+        (cd `dirname $f`; sha1sum `basename $f`) > $f.sha1
+        gpg --passphrase $password --armor --output $f.asc --detach-sig $f
+      done
 
-	set -x
-	;;
+      set -x
+      ;;
 
     clean)
-	rm -rf build dist
-	(cd doc; ant clean)
+      rm -rf build dist
+      (cd doc; ant clean)
 
-        (mvn clean)         
+      (mvn clean)
 
-	(cd lang/py; ant clean)
-	(cd lang/py3; python3 setup.py clean)
+      (cd lang/py; ant clean)
+      (cd lang/py3; python3 setup.py clean)
 
-	(cd lang/c; ./build.sh clean)
+      (cd lang/c; ./build.sh clean)
 
-	(cd lang/c++; ./build.sh clean)
+      (cd lang/c++; ./build.sh clean)
 
-	(cd lang/csharp; ./build.sh clean)
+      (cd lang/csharp; ./build.sh clean)
 
-	(cd lang/js; ./build.sh clean)
+      (cd lang/js; ./build.sh clean)
 
-	(cd lang/ruby; ./build.sh clean)
+      (cd lang/ruby; ./build.sh clean)
 
-	(cd lang/php; ./build.sh clean)
+      (cd lang/php; ./build.sh clean)
 
-	(cd lang/perl; [ ! -f Makefile ] || make clean)
-	;;
+      (cd lang/perl; [ ! -f Makefile ] || make clean)
+      ;;
 
     docker)
-        docker build -t avro-build share/docker
-        if [ "$(uname -s)" == "Linux" ]; then
-          USER_NAME=${SUDO_USER:=$USER}
-          USER_ID=$(id -u $USER_NAME)
-          GROUP_ID=$(id -g $USER_NAME)
-        else # boot2docker uid and gid
-          USER_NAME=$USER
-          USER_ID=1000
-          GROUP_ID=50
-        fi
-        docker build -t avro-build-${USER_NAME} - <<UserSpecificDocker
+      docker build -t avro-build share/docker
+      if [ "$(uname -s)" == "Linux" ]; then
+        USER_NAME=${SUDO_USER:=$USER}
+        USER_ID=$(id -u $USER_NAME)
+        GROUP_ID=$(id -g $USER_NAME)
+      else # boot2docker uid and gid
+        USER_NAME=$USER
+        USER_ID=1000
+        GROUP_ID=50
+      fi
+      docker build -t avro-build-${USER_NAME} - <<UserSpecificDocker
 FROM avro-build
 RUN groupadd -g ${GROUP_ID} ${USER_NAME} || true
 RUN useradd -g ${GROUP_ID} -u ${USER_ID} -k /root -m ${USER_NAME}
 ENV HOME /home/${USER_NAME}
 UserSpecificDocker
-        # By mapping the .m2 directory you can do an mvn install from
-        # within the container and use the result on your normal
-        # system.  And this also is a significant speedup in subsequent
-        # builds because the dependencies are downloaded only once.
-        docker run --rm=true -t -i \
-          -v ${PWD}:/home/${USER_NAME}/avro \
-          -w /home/${USER_NAME}/avro \
-          -v ${HOME}/.m2:/home/${USER_NAME}/.m2 \
-          -v ${HOME}/.gnupg:/home/${USER_NAME}/.gnupg \
-          -u ${USER_NAME} \
-          avro-build-${USER_NAME}
-        ;;
+      # By mapping the .m2 directory you can do an mvn install from
+      # within the container and use the result on your normal
+      # system.  And this also is a significant speedup in subsequent
+      # builds because the dependencies are downloaded only once.
+      docker run --rm=true -t -i \
+        -v ${PWD}:/home/${USER_NAME}/avro \
+        -w /home/${USER_NAME}/avro \
+        -v ${HOME}/.m2:/home/${USER_NAME}/.m2 \
+        -v ${HOME}/.gnupg:/home/${USER_NAME}/.gnupg \
+        -u ${USER_NAME} \
+        avro-build-${USER_NAME}
+      ;;
 
     rat)
-        mvn test -Dmaven.main.skip=true -Dmaven.test.skip=true -DskipTests=true -P rat -pl :avro-toplevel
-        ;;
+      mvn test -Dmaven.main.skip=true -Dmaven.test.skip=true -DskipTests=true -P rat -pl :avro-toplevel
+      ;;
 
     *)
-        usage
-        ;;
-esac
+      usage
+      ;;
+  esac
 
 done
 

http://git-wip-us.apache.org/repos/asf/avro/blob/ade55151/doc/build.xml
----------------------------------------------------------------------
diff --git a/doc/build.xml b/doc/build.xml
index fe21c96..1e7c058 100644
--- a/doc/build.xml
+++ b/doc/build.xml
@@ -18,10 +18,10 @@
   - under the License.
   -->
 <project name="doc" default="doc" basedir=".">
-  
+
   <!-- Load user's default properties. -->
   <property file="${user.home}/build.properties" />
-  
+
   <loadresource property="version">
     <file file="${basedir}/../share/VERSION.txt"/>
   </loadresource>

http://git-wip-us.apache.org/repos/asf/avro/blob/ade55151/doc/examples/java-example/src/main/java/example/GenericMain.java
----------------------------------------------------------------------
diff --git a/doc/examples/java-example/src/main/java/example/GenericMain.java b/doc/examples/java-example/src/main/java/example/GenericMain.java
index 87a445c..2d51a8d 100644
--- a/doc/examples/java-example/src/main/java/example/GenericMain.java
+++ b/doc/examples/java-example/src/main/java/example/GenericMain.java
@@ -33,39 +33,39 @@ import org.apache.avro.io.DatumReader;
 import org.apache.avro.io.DatumWriter;
 
 public class GenericMain {
-	public static void main(String[] args) throws IOException {
-		Schema schema = new Parser().parse(new File("/home/skye/code/cloudera/avro/doc/examples/user.avsc"));
-		
-		GenericRecord user1 = new GenericData.Record(schema);
-		user1.put("name", "Alyssa");
-		user1.put("favorite_number", 256);
-		// Leave favorite color null
-		
-		GenericRecord user2 = new GenericData.Record(schema);
-		user2.put("name", "Ben");
-		user2.put("favorite_number", 7);
-		user2.put("favorite_color", "red");
-		
-		// Serialize user1 and user2 to disk
-		File file = new File("users.avro");
-		DatumWriter<GenericRecord> datumWriter = new GenericDatumWriter<GenericRecord>(schema);
-		DataFileWriter<GenericRecord> dataFileWriter = new DataFileWriter<GenericRecord>(datumWriter);
-		dataFileWriter.create(schema, file);
-		dataFileWriter.append(user1);
-		dataFileWriter.append(user2);
-		dataFileWriter.close();
+  public static void main(String[] args) throws IOException {
+    Schema schema = new Parser().parse(new File("/home/skye/code/cloudera/avro/doc/examples/user.avsc"));
 
-		// Deserialize users from disk
-		DatumReader<GenericRecord> datumReader = new GenericDatumReader<GenericRecord>(schema);
-		DataFileReader<GenericRecord> dataFileReader = new DataFileReader<GenericRecord>(file, datumReader);
-		GenericRecord user = null;
-		while (dataFileReader.hasNext()) {
-			// Reuse user object by passing it to next(). This saves us from
-			// allocating and garbage collecting many objects for files with
-			// many items.
-			user = dataFileReader.next(user);
-			System.out.println(user);
-		}
-		
-	}
+    GenericRecord user1 = new GenericData.Record(schema);
+    user1.put("name", "Alyssa");
+    user1.put("favorite_number", 256);
+    // Leave favorite color null
+
+    GenericRecord user2 = new GenericData.Record(schema);
+    user2.put("name", "Ben");
+    user2.put("favorite_number", 7);
+    user2.put("favorite_color", "red");
+
+    // Serialize user1 and user2 to disk
+    File file = new File("users.avro");
+    DatumWriter<GenericRecord> datumWriter = new GenericDatumWriter<GenericRecord>(schema);
+    DataFileWriter<GenericRecord> dataFileWriter = new DataFileWriter<GenericRecord>(datumWriter);
+    dataFileWriter.create(schema, file);
+    dataFileWriter.append(user1);
+    dataFileWriter.append(user2);
+    dataFileWriter.close();
+
+    // Deserialize users from disk
+    DatumReader<GenericRecord> datumReader = new GenericDatumReader<GenericRecord>(schema);
+    DataFileReader<GenericRecord> dataFileReader = new DataFileReader<GenericRecord>(file, datumReader);
+    GenericRecord user = null;
+    while (dataFileReader.hasNext()) {
+      // Reuse user object by passing it to next(). This saves us from
+      // allocating and garbage collecting many objects for files with
+      // many items.
+      user = dataFileReader.next(user);
+      System.out.println(user);
+    }
+
+  }
 }

http://git-wip-us.apache.org/repos/asf/avro/blob/ade55151/doc/examples/java-example/src/main/java/example/SpecificMain.java
----------------------------------------------------------------------
diff --git a/doc/examples/java-example/src/main/java/example/SpecificMain.java b/doc/examples/java-example/src/main/java/example/SpecificMain.java
index 2b5fd0f..e068eed 100644
--- a/doc/examples/java-example/src/main/java/example/SpecificMain.java
+++ b/doc/examples/java-example/src/main/java/example/SpecificMain.java
@@ -31,43 +31,43 @@ import org.apache.avro.specific.SpecificDatumWriter;
 import example.avro.User;
 
 public class SpecificMain {
-	public static void main(String[] args) throws IOException {
-		User user1 = new User();
-		user1.setName("Alyssa");
-		user1.setFavoriteNumber(256);
-		// Leave favorite color null
+  public static void main(String[] args) throws IOException {
+    User user1 = new User();
+    user1.setName("Alyssa");
+    user1.setFavoriteNumber(256);
+    // Leave favorite color null
 
-		// Alternate constructor
-		User user2 = new User("Ben", 7, "red");
-		
-		// Construct via builder
-		User user3 = User.newBuilder()
-				     .setName("Charlie")
-				     .setFavoriteColor("blue")
-				     .setFavoriteNumber(null)
-				     .build();
+    // Alternate constructor
+    User user2 = new User("Ben", 7, "red");
 
-		// Serialize user1 and user2 to disk
-		File file = new File("users.avro");
-		DatumWriter<User> userDatumWriter = new SpecificDatumWriter<User>(User.class);
-		DataFileWriter<User> dataFileWriter = new DataFileWriter<User>(userDatumWriter);
-		dataFileWriter.create(user1.getSchema(), file);
-		dataFileWriter.append(user1);
-		dataFileWriter.append(user2);
-		dataFileWriter.append(user3);
-		dataFileWriter.close();
+    // Construct via builder
+    User user3 = User.newBuilder()
+             .setName("Charlie")
+             .setFavoriteColor("blue")
+             .setFavoriteNumber(null)
+             .build();
 
-		// Deserialize Users from disk
-		DatumReader<User> userDatumReader = new SpecificDatumReader<User>(User.class);
-		DataFileReader<User> dataFileReader = new DataFileReader<User>(file, userDatumReader);
-		User user = null;
-		while (dataFileReader.hasNext()) {
-			// Reuse user object by passing it to next(). This saves us from
-			// allocating and garbage collecting many objects for files with
-			// many items.
-			user = dataFileReader.next(user);
-			System.out.println(user);
-		}
+    // Serialize user1 and user2 to disk
+    File file = new File("users.avro");
+    DatumWriter<User> userDatumWriter = new SpecificDatumWriter<User>(User.class);
+    DataFileWriter<User> dataFileWriter = new DataFileWriter<User>(userDatumWriter);
+    dataFileWriter.create(user1.getSchema(), file);
+    dataFileWriter.append(user1);
+    dataFileWriter.append(user2);
+    dataFileWriter.append(user3);
+    dataFileWriter.close();
 
-	}
+    // Deserialize Users from disk
+    DatumReader<User> userDatumReader = new SpecificDatumReader<User>(User.class);
+    DataFileReader<User> dataFileReader = new DataFileReader<User>(file, userDatumReader);
+    User user = null;
+    while (dataFileReader.hasNext()) {
+      // Reuse user object by passing it to next(). This saves us from
+      // allocating and garbage collecting many objects for files with
+      // many items.
+      user = dataFileReader.next(user);
+      System.out.println(user);
+    }
+
+  }
 }

http://git-wip-us.apache.org/repos/asf/avro/blob/ade55151/doc/examples/mr-example/src/main/java/example/MapReduceAvroWordCount.java
----------------------------------------------------------------------
diff --git a/doc/examples/mr-example/src/main/java/example/MapReduceAvroWordCount.java b/doc/examples/mr-example/src/main/java/example/MapReduceAvroWordCount.java
index 8ca6a2f..5f5c919 100644
--- a/doc/examples/mr-example/src/main/java/example/MapReduceAvroWordCount.java
+++ b/doc/examples/mr-example/src/main/java/example/MapReduceAvroWordCount.java
@@ -112,7 +112,7 @@ public class MapReduceAvroWordCount extends Configured implements Tool {
     FileOutputFormat.setOutputPath(job, new Path(args[1]));
 
     job.waitForCompletion(true);
-    
+
     return 0;
   }
 

http://git-wip-us.apache.org/repos/asf/avro/blob/ade55151/doc/src/content/xdocs/mr.xml
----------------------------------------------------------------------
diff --git a/doc/src/content/xdocs/mr.xml b/doc/src/content/xdocs/mr.xml
index a93a137..7c91a24 100644
--- a/doc/src/content/xdocs/mr.xml
+++ b/doc/src/content/xdocs/mr.xml
@@ -39,7 +39,7 @@
       See the <a href="http://hadoop.apache.org/docs/current/">Hadoop
       documentation</a> and the <a href="gettingstartedjava.html">Avro getting
       started guide</a> for introductions to these projects.  This guide uses
-      the old MapReduce API (<code>org.apache.hadoop.mapred</code>) and the new 
+      the old MapReduce API (<code>org.apache.hadoop.mapred</code>) and the new
       MapReduce API (<code>org.apache.hadoop.mapreduce</code>).
     </p>
     <section>
@@ -91,10 +91,10 @@
 &#60;/plugin>
       </source>
       <p>
-        If you do not configure the <em>sourceDirectory</em> and <em>outputDirectory</em> 
-        properties, the defaults will be used. The <em>sourceDirectory</em> property 
-        defaults to <em>src/main/avro</em>. The <em>outputDirectory</em> property 
-        defaults to <em>target/generated-sources</em>. You can change the paths to 
+        If you do not configure the <em>sourceDirectory</em> and <em>outputDirectory</em>
+        properties, the defaults will be used. The <em>sourceDirectory</em> property
+        defaults to <em>src/main/avro</em>. The <em>outputDirectory</em> property
+        defaults to <em>target/generated-sources</em>. You can change the paths to
         match your project layout.
       </p>
       <p>
@@ -297,9 +297,9 @@ public class MapReduceColorCount extends Configured implements Tool {
         ColorCount reads in data files containing <code>User</code> records,
         defined in <em>examples/user.avsc</em>, and counts the number of
         instances of each favorite color.  (This example draws inspiration from
-        the canonical WordCount MapReduce application.)  This example uses the 
-        old MapReduce API.  See MapReduceAvroWordCount, found under 
-        <em>doc/examples/mr-example/src/main/java/example/</em> to see the new MapReduce 
+        the canonical WordCount MapReduce application.)  This example uses the
+        old MapReduce API.  See MapReduceAvroWordCount, found under
+        <em>doc/examples/mr-example/src/main/java/example/</em> to see the new MapReduce
         API example.  The <code>User</code>
         schema is defined as follows:
       </p>

http://git-wip-us.apache.org/repos/asf/avro/blob/ade55151/doc/src/content/xdocs/site.xml
----------------------------------------------------------------------
diff --git a/doc/src/content/xdocs/site.xml b/doc/src/content/xdocs/site.xml
index 85d5fb9..30d0b48 100644
--- a/doc/src/content/xdocs/site.xml
+++ b/doc/src/content/xdocs/site.xml
@@ -24,13 +24,13 @@ This file contains an outline of the site's information content.  It is used to:
 <link href="site:changes"> links to changes.html (or ../changes.html if in
   subdir).
 - Provide aliases for external URLs in the external-refs section.  Eg, <link
-  href="ext:cocoon"> links to http://cocoon.apache.org/ 
+  href="ext:cocoon"> links to http://cocoon.apache.org/
 
 See http://forrest.apache.org/docs/linking.html for more info
 -->
 <!-- The label attribute of the outer "site" element will only show
   in the linkmap (linkmap.html).
-  Use elements project-name and group-name in skinconfig to change name of 
+  Use elements project-name and group-name in skinconfig to change name of
   your site or project that is usually shown at the top of page.
   No matter what you configure for the href attribute, Forrest will
   always use index.html when you request http://yourHost/
@@ -39,7 +39,7 @@ See http://forrest.apache.org/docs/linking.html for more info
 
 <site label="Avro" href="" xmlns="http://apache.org/forrest/linkmap/1.0">
 
-  <docs label="Documentation"> 
+  <docs label="Documentation">
     <overview   label="Overview"          href="index.html" />
     <gettingstartedjava label="Getting started (Java)" href="gettingstartedjava.html" />
     <gettingstartedpython label="Getting started (Python)" href="gettingstartedpython.html" />
@@ -55,7 +55,7 @@ See http://forrest.apache.org/docs/linking.html for more info
     <wiki       label="Wiki"              href="ext:wiki" />
     <faq        label="FAQ"               href="ext:faq" />
   </docs>
-  
+
   <external-refs>
     <site      href="http://avro.apache.org/"/>
     <lists     href="http://avro.apache.org/mailing_lists.html"/>
@@ -87,5 +87,5 @@ See http://forrest.apache.org/docs/linking.html for more info
       <spec href="spec.html"/>
     </trevni>
   </external-refs>
- 
+
 </site>

http://git-wip-us.apache.org/repos/asf/avro/blob/ade55151/doc/src/content/xdocs/spec.xml
----------------------------------------------------------------------
diff --git a/doc/src/content/xdocs/spec.xml b/doc/src/content/xdocs/spec.xml
index 1e6f4e3..ec1f199 100644
--- a/doc/src/content/xdocs/spec.xml
+++ b/doc/src/content/xdocs/spec.xml
@@ -41,9 +41,9 @@
       <p>A Schema is represented in <a href="ext:json">JSON</a> by one of:</p>
       <ul>
         <li>A JSON string, naming a defined type.</li>
-        
+
         <li>A JSON object, of the form:
-          
+
           <source>{"type": "<em>typeName</em>" ...<em>attributes</em>...}</source>
 
           where <em>typeName</em> is either a primitive or derived
@@ -67,25 +67,25 @@
           <li><code>bytes</code>: sequence of 8-bit unsigned bytes</li>
           <li><code>string</code>: unicode character sequence</li>
         </ul>
-        
+
         <p>Primitive types have no specified attributes.</p>
-        
+
         <p>Primitive type names are also defined type names.  Thus, for
           example, the schema "string" is equivalent to:</p>
-        
+
         <source>{"type": "string"}</source>
 
       </section>
 
       <section id="schema_complex">
         <title>Complex Types</title>
-        
+
         <p>Avro supports six kinds of complex types: records, enums,
         arrays, maps, unions and fixed.</p>
 
         <section id="schema_record">
           <title>Records</title>
-          
+
 	  <p>Records use the type name "record" and support three attributes:</p>
 	  <ul>
 	    <li><code>name</code>: a JSON string providing the name
@@ -145,7 +145,7 @@
 	  <p>For example, a linked-list of 64-bit values may be defined with:</p>
 	  <source>
 {
-  "type": "record", 
+  "type": "record",
   "name": "LongList",
   "aliases": ["LinkedLongs"],                      // old name for this
   "fields" : [
@@ -155,10 +155,10 @@
 }
 	  </source>
 	</section>
-        
+
         <section>
           <title>Enums</title>
-          
+
 	  <p>Enums use the type name "enum" and support the following
 	  attributes:</p>
 	  <ul>
@@ -183,7 +183,7 @@
 }
 	  </source>
 	</section>
-        
+
         <section>
           <title>Arrays</title>
           <p>Arrays use the type name <code>"array"</code> and support
@@ -420,7 +420,7 @@
 	    <p>For example, the record schema</p>
 	    <source>
 	      {
-	      "type": "record", 
+	      "type": "record",
 	      "name": "test",
 	      "fields" : [
 	      {"name": "a", "type": "long"},
@@ -436,7 +436,7 @@
 	      sequence:</p>
 	    <source>36 06 66 6f 6f</source>
 	  </section>
-          
+
           <section id="enum_encoding">
             <title>Enums</title>
             <p>An enum is encoded by a <code>int</code>, representing
@@ -487,13 +487,13 @@
               value, followed by that many key/value pairs.  A block
               with count zero indicates the end of the map.  Each item
               is encoded per the map's value schema.</p>
-	    
+	
             <p>If a block's count is negative, its absolute value is used,
               and the count is followed immediately by a <code>long</code>
               block <em>size</em> indicating the number of bytes in the
               block.  This block size permits fast skipping through data,
               e.g., when projecting a record to a subset of its fields.</p>
-	    
+	
             <p>The blocked representation permits one to read and write
               maps larger than can be buffered in memory, since one can
               start writing items without knowing the full length of the
@@ -531,7 +531,7 @@
 
       <section id="json_encoding">
         <title>JSON Encoding</title>
-        
+
         <p>Except for unions, the JSON encoding is the same as is used
         to encode <a href="#schema_record">field default
         values</a>.</p>
@@ -547,7 +547,7 @@
           types (record, fixed or enum) the user-specified name is
           used, for other types the type name is used.</li>
         </ul>
-          
+
         <p>For example, the union
           schema <code>["null","string","Foo"]</code>, where Foo is a
           record name, would encode:</p>
@@ -666,7 +666,7 @@
         stored in the file, as JSON data (required).</li>
         <li><strong>avro.codec</strong> the name of the compression codec
         used to compress blocks, as a string.  Implementations
-        are required to support the following codecs: "null" and "deflate".  
+        are required to support the following codecs: "null" and "deflate".
         If codec is absent, it is assumed to be "null".  The codecs
         are described with more detail below.</li>
       </ul>
@@ -692,7 +692,7 @@
         <li>The file's 16-byte sync marker.</li>
       </ul>
           <p>Thus, each block's binary data can be efficiently extracted or skipped without
-          deserializing the contents.  The combination of block size, object counts, and 
+          deserializing the contents.  The combination of block size, object counts, and
           sync markers enable detection of corrupt blocks and help ensure data integrity.</p>
       <section>
       <title>Required Codecs</title>
@@ -704,7 +704,7 @@
         <section>
         <title>deflate</title>
         <p>The "deflate" codec writes the data block using the
-        deflate algorithm as specified in 
+        deflate algorithm as specified in
         <a href="http://www.isi.edu/in-notes/rfc1951.txt">RFC 1951</a>,
         and typically implemented using the zlib library.  Note that this
         format (unlike the "zlib format" in RFC 1950) does not have a
@@ -757,7 +757,7 @@
           <li>a <em>request</em>, a list of named,
             typed <em>parameter</em> schemas (this has the same form
             as the fields of a record declaration);</li>
-          <li>a <em>response</em> schema; </li> 
+          <li>a <em>response</em> schema; </li>
           <li>an optional union of declared <em>error</em> schemas.
 	    The <em>effective</em> union has <code>"string"</code>
 	    prepended to the declared union, to permit transmission of
@@ -1092,14 +1092,14 @@
           <ul>
             <li>the ordering of fields may be different: fields are
               matched by name.</li>
-            
+
             <li>schemas for fields with the same name in both records
               are resolved recursively.</li>
-            
+
             <li>if the writer's record contains a field with a name
               not present in the reader's record, the writer's value
               for that field is ignored.</li>
-            
+
             <li>if the reader's record schema has a field that
               contains a default value, and writer's schema does not
               have a field with the same name, then the reader should
@@ -1137,13 +1137,13 @@
             writer's schema is recursively resolved against it.  If none
             match, an error is signalled.</p>
         </li>
-          
+
         <li><strong>if writer's is a union, but reader's is not</strong>
           <p>If the reader's schema matches the selected writer's schema,
             it is recursively resolved against it.  If they do not
             match, an error is signalled.</p>
         </li>
-          
+
       </ul>
 
       <p>A schema's "doc" fields are ignored for the purposes of schema resolution.  Hence,

http://git-wip-us.apache.org/repos/asf/avro/blob/ade55151/doc/src/content/xdocs/tabs.xml
----------------------------------------------------------------------
diff --git a/doc/src/content/xdocs/tabs.xml b/doc/src/content/xdocs/tabs.xml
index 0a532b5..54ac0a7 100644
--- a/doc/src/content/xdocs/tabs.xml
+++ b/doc/src/content/xdocs/tabs.xml
@@ -34,6 +34,6 @@
 
   <tab label="Project" href="http://avro.apache.org/" />
   <tab label="Wiki" href="http://wiki.apache.org/hadoop/Avro/" />
-  <tab label="Avro &AvroVersion; Documentation" dir="" />  
-  
+  <tab label="Avro &AvroVersion; Documentation" dir="" />
+
 </tabs>

http://git-wip-us.apache.org/repos/asf/avro/blob/ade55151/doc/src/skinconf.xml
----------------------------------------------------------------------
diff --git a/doc/src/skinconf.xml b/doc/src/skinconf.xml
index fcd7933..3b92362 100644
--- a/doc/src/skinconf.xml
+++ b/doc/src/skinconf.xml
@@ -34,7 +34,7 @@ which will be used to configure the chosen Forrest skin.
   <search name="Avro" domain="avro.apache.org" provider="google"/>
 
   <!-- Disable the print link? If enabled, invalid HTML 4.0.1 -->
-  <disable-print-link>true</disable-print-link>  
+  <disable-print-link>true</disable-print-link>
   <!-- Disable the PDF link? -->
   <disable-pdf-link>false</disable-pdf-link>
   <!-- Disable the POD link? -->
@@ -52,8 +52,8 @@ which will be used to configure the chosen Forrest skin.
   <!-- Disable navigation icons on all external links? -->
   <disable-external-link-image>true</disable-external-link-image>
 
-  <!-- Disable w3c compliance links? 
-    Use e.g. align="center" to move the compliance links logos to 
+  <!-- Disable w3c compliance links?
+    Use e.g. align="center" to move the compliance links logos to
     an alternate location default is left.
     (if the skin supports it) -->
   <disable-compliance-links>true</disable-compliance-links>
@@ -105,7 +105,7 @@ which will be used to configure the chosen Forrest skin.
   <!-- Configure the TOC, i.e. the Table of Contents.
   @max-depth
    how many "section" levels need to be included in the
-   generated Table of Contents (TOC). 
+   generated Table of Contents (TOC).
   @min-sections
    Minimum required to create a TOC.
   @location ("page","menu","page,menu", "none")
@@ -115,7 +115,7 @@ which will be used to configure the chosen Forrest skin.
 
   <!-- Heading types can be clean|underlined|boxed  -->
   <headings type="clean"/>
-  
+
   <!-- The optional feedback element will be used to construct a
     feedback link in the footer with the page pathname appended:
     <a href="@href">{@to}</a>
@@ -125,15 +125,15 @@ which will be used to configure the chosen Forrest skin.
   </feedback>
     -->
   <!--
-    extra-css - here you can define custom css-elements that are 
-    a. overriding the fallback elements or 
-    b. adding the css definition from new elements that you may have 
+    extra-css - here you can define custom css-elements that are
+    a. overriding the fallback elements or
+    b. adding the css definition from new elements that you may have
        used in your documentation.
     -->
   <extra-css>
-    <!--Example of b. 
+    <!--Example of b.
         To define the css definition of a new element that you may have used
-        in the class attribute of a <p> node. 
+        in the class attribute of a <p> node.
         e.g. <p class="quote"/>
     -->
     p.quote {
@@ -162,27 +162,27 @@ which will be used to configure the chosen Forrest skin.
 
     <color name="heading" value="#a5b6c6"/>
     <color name="subheading" value="#CFDCED"/>
-        
+
     <color name="navstrip" value="#CFDCED" font="#000000" link="#000000" vlink="#000000" hlink="#000000"/>
     <color name="toolbox" value="#a5b6c6"/>
     <color name="border" value="#a5b6c6"/>
-        
-    <color name="menu" value="#F7F7F7" link="#000000" vlink="#000000" hlink="#000000"/>    
+
+    <color name="menu" value="#F7F7F7" link="#000000" vlink="#000000" hlink="#000000"/>
     <color name="dialog" value="#F7F7F7"/>
-            
+
     <color name="body"    value="#ffffff" link="#0F3660" vlink="#009999" hlink="#000066"/>
-    
-    <color name="table" value="#a5b6c6"/>    
-    <color name="table-cell" value="#ffffff"/>    
+
+    <color name="table" value="#a5b6c6"/>
+    <color name="table-cell" value="#ffffff"/>
     <color name="highlight" value="#ffff00"/>
     <color name="fixme" value="#cc6600"/>
     <color name="note" value="#006699"/>
     <color name="warning" value="#990000"/>
     <color name="code" value="#a5b6c6"/>
-        
+
     <color name="footer" value="#a5b6c6"/>
 -->
-  
+
   <!-- Forrest -->
 <!--
     <color name="header"    value="#294563"/>
@@ -194,28 +194,28 @@ which will be used to configure the chosen Forrest skin.
 
     <color name="heading" value="#294563"/>
     <color name="subheading" value="#4a6d8c"/>
-        
+
     <color name="navstrip" value="#cedfef" font="#0F3660" link="#0F3660" vlink="#0F3660" hlink="#000066"/>
     <color name="toolbox" value="#4a6d8c"/>
     <color name="border" value="#294563"/>
-    
-    <color name="menu" value="#4a6d8c" font="#cedfef" link="#ffffff" vlink="#ffffff" hlink="#ffcf00"/>    
+
+    <color name="menu" value="#4a6d8c" font="#cedfef" link="#ffffff" vlink="#ffffff" hlink="#ffcf00"/>
     <color name="dialog" value="#4a6d8c"/>
-            
+
     <color name="body" value="#ffffff"  link="#0F3660" vlink="#009999" hlink="#000066"/>
-    
-    <color name="table" value="#7099C5"/>    
-    <color name="table-cell" value="#f0f0ff"/>    
+
+    <color name="table" value="#7099C5"/>
+    <color name="table-cell" value="#f0f0ff"/>
     <color name="highlight" value="#ffff00"/>
     <color name="fixme" value="#cc6600"/>
     <color name="note" value="#006699"/>
     <color name="warning" value="#990000"/>
     <color name="code" value="#CFDCED"/>
-        
+
     <color name="footer" value="#cedfef"/>
 -->
 
-  <!-- Collabnet --> 
+  <!-- Collabnet -->
 <!--
     <color name="header"    value="#003366"/>
 
@@ -226,24 +226,24 @@ which will be used to configure the chosen Forrest skin.
 
     <color name="heading" value="#003366"/>
     <color name="subheading" value="#888888"/>
-    
+
     <color name="navstrip" value="#dddddd" font="#555555"/>
     <color name="toolbox" value="#dddddd" font="#555555"/>
     <color name="border" value="#999999"/>
-    
-    <color name="menu" value="#ffffff"/>    
+
+    <color name="menu" value="#ffffff"/>
     <color name="dialog" value="#eeeeee"/>
-            
+
     <color name="body"      value="#ffffff"/>
-    
-    <color name="table" value="#ccc"/>    
-    <color name="table-cell" value="#ffffff"/>   
+
+    <color name="table" value="#ccc"/>
+    <color name="table-cell" value="#ffffff"/>
     <color name="highlight" value="#ffff00"/>
     <color name="fixme" value="#cc6600"/>
     <color name="note" value="#006699"/>
     <color name="warning" value="#990000"/>
     <color name="code" value="#003366"/>
-        
+
     <color name="footer" value="#ffffff"/>
 -->
  <!-- Lenya using pelt-->
@@ -264,28 +264,28 @@ which will be used to configure the chosen Forrest skin.
     <color name="toolbox" value="#CFDCED" font="#000000"/>
 
     <color name="border" value="#999999"/>
-    <color name="menu" value="#4C6C8F" font="#ffffff" link="#ffffff" vlink="#ffffff" hlink="#ffffff" current="#FFCC33" />    
+    <color name="menu" value="#4C6C8F" font="#ffffff" link="#ffffff" vlink="#ffffff" hlink="#ffffff" current="#FFCC33" />
     <color name="menuheading" value="#cfdced" font="#000000" />
     <color name="searchbox" value="#E5E4D9" font="#000000"/>
-    
+
     <color name="dialog" value="#CFDCED"/>
-    <color name="body" value="#ffffff" />            
-    
-    <color name="table" value="#ccc"/>    
-    <color name="table-cell" value="#ffffff"/>   
+    <color name="body" value="#ffffff" />
+
+    <color name="table" value="#ccc"/>
+    <color name="table-cell" value="#ffffff"/>
     <color name="highlight" value="#ffff00"/>
     <color name="fixme" value="#cc6600"/>
     <color name="note" value="#006699"/>
     <color name="warning" value="#990000"/>
     <color name="code" value="#003366"/>
-        
+
     <color name="footer" value="#E5E4D9"/>
 -->
   </colors>
- 
+
   <!-- Settings specific to PDF output. -->
   <pdf>
-    <!-- 
+    <!--
        Supported page sizes are a0, a1, a2, a3, a4, a5, executive,
        folio, legal, ledger, letter, quarto, tabloid (default letter).
        Supported page orientations are portrait, landscape (default
@@ -326,7 +326,7 @@ which will be used to configure the chosen Forrest skin.
   <!-- Credits are typically rendered as a set of small clickable
     images in the page footer.
     Use box-location="alt" to move the credit to an alternate location
-    (if the skin supports it). 
+    (if the skin supports it).
   -->
   <credits>
     <credit box-location="alt">

http://git-wip-us.apache.org/repos/asf/avro/blob/ade55151/lang/c++/build.sh
----------------------------------------------------------------------
diff --git a/lang/c++/build.sh b/lang/c++/build.sh
index 8ee36f6..e5beaea 100755
--- a/lang/c++/build.sh
+++ b/lang/c++/build.sh
@@ -29,9 +29,9 @@ fi
 
 if [ -f VERSION.txt ]
 then
-VERSION=`cat VERSION.txt`
+  VERSION=`cat VERSION.txt`
 else
-VERSION=`cat ../../share/VERSION.txt`
+  VERSION=`cat ../../share/VERSION.txt`
 fi
 
 BUILD=../../build
@@ -42,69 +42,69 @@ BUILD_CPP=$BUILD/$AVRO_CPP
 DIST_DIR=../../dist/$AVRO_CPP
 DOC_CPP=$BUILD/$AVRO_DOC/api/cpp
 DIST_DIR=../../dist/cpp
-TARFILE=../dist/cpp/$AVRO_CPP.tar.gz 
+TARFILE=../dist/cpp/$AVRO_CPP.tar.gz
 
 (mkdir -p build; cd build; cmake -G "Unix Makefiles" ..)
 for target in "$@"
 do
 
 function do_doc() {
-    doxygen
-    if [ -d doc ]
-    then
-        mkdir -p $DOC_CPP
-        cp -R doc/* $DOC_CPP
-    else
-        exit 1
-    fi
+  doxygen
+  if [ -d doc ]
+  then
+    mkdir -p $DOC_CPP
+    cp -R doc/* $DOC_CPP
+  else
+    exit 1
+  fi
 }
 function do_dist() {
-    rm -rf $BUILD_CPP/
-    mkdir -p $BUILD_CPP
-    cp -r api AUTHORS build.sh CMakeLists.txt ChangeLog \
-        LICENSE NOTICE impl jsonschemas NEWS parser README scripts test examples \
-        $BUILD_CPP
-    find $BUILD_CPP -name '.svn' | xargs rm -rf
-    cp ../../share/VERSION.txt $BUILD_CPP
-    mkdir -p $DIST_DIR
-    (cd $BUILD_DIR; tar cvzf $TARFILE $AVRO_CPP && cp $TARFILE $AVRO_CPP )
-    if [ ! -f $DIST_FILE ]
-    then
-        exit 1
-    fi
+  rm -rf $BUILD_CPP/
+  mkdir -p $BUILD_CPP
+  cp -r api AUTHORS build.sh CMakeLists.txt ChangeLog \
+    LICENSE NOTICE impl jsonschemas NEWS parser README scripts test examples \
+    $BUILD_CPP
+  find $BUILD_CPP -name '.svn' | xargs rm -rf
+  cp ../../share/VERSION.txt $BUILD_CPP
+  mkdir -p $DIST_DIR
+  (cd $BUILD_DIR; tar cvzf $TARFILE $AVRO_CPP && cp $TARFILE $AVRO_CPP )
+  if [ ! -f $DIST_FILE ]
+  then
+    exit 1
+  fi
 }
 
 case "$target" in
-    test)
+  test)
     (cd build && make && cd .. \
-        && ./build/buffertest \
-        && ./build/unittest \
-        && ./build/CodecTests \
-        && ./build/StreamTests \
-        && ./build/SpecificTests \
-        && ./build/AvrogencppTests \
-        && ./build/DataFileTests)
-	;;
-
-    dist)
-        do_dist
-        do_doc
+      && ./build/buffertest \
+      && ./build/unittest \
+      && ./build/CodecTests \
+      && ./build/StreamTests \
+      && ./build/SpecificTests \
+      && ./build/AvrogencppTests \
+      && ./build/DataFileTests)
     ;;
 
-    doc)
-        do_doc
+  dist)
+    do_dist
+    do_doc
     ;;
 
-    clean)
+  doc)
+    do_doc
+    ;;
+
+  clean)
     (cd build && make clean)
-	;;
+    ;;
 
-    install)
+  install)
     (cd build && make install)
     ;;
 
-    *)
-        usage
+  *)
+    usage
 esac
 
 done

http://git-wip-us.apache.org/repos/asf/avro/blob/ade55151/lang/c/build.sh
----------------------------------------------------------------------
diff --git a/lang/c/build.sh b/lang/c/build.sh
index 832cc79..e00db69 100755
--- a/lang/c/build.sh
+++ b/lang/c/build.sh
@@ -18,8 +18,8 @@
 # under the License.
 #
 
-set -e						  # exit on error
-#set -x		
+set -e        # exit on error
+#set -x
 
 root_dir=$(pwd)
 build_dir="../../build/c"
@@ -36,59 +36,59 @@ function prepare_build {
 
 function clean {
   if [ -d $build_dir ]; then
-	find $build_dir | xargs chmod 755
-	rm -rf $build_dir
+  find $build_dir | xargs chmod 755
+  rm -rf $build_dir
   fi
 }
 
 case "$1" in
 
-    interop-data-generate)
-	prepare_build
-	make -C $build_dir
-	$build_dir/tests/generate_interop_data "../../share/test/schemas/interop.avsc"  "../../build/interop/data"
-	;;
+  interop-data-generate)
+    prepare_build
+    make -C $build_dir
+    $build_dir/tests/generate_interop_data "../../share/test/schemas/interop.avsc"  "../../build/interop/data"
+    ;;
 
-    interop-data-test)
-	prepare_build
-	make -C $build_dir
-	$build_dir/tests/test_interop_data "../../build/interop/data"
-	;;
+  interop-data-test)
+    prepare_build
+    make -C $build_dir
+    $build_dir/tests/test_interop_data "../../build/interop/data"
+    ;;
 
-    test)
-	prepare_build
-	make -C $build_dir
-	make -C $build_dir test
-        clean
-	;;
+  test)
+    prepare_build
+    make -C $build_dir
+    make -C $build_dir test
+    clean
+    ;;
 
-    dist)
-	prepare_build
-	cp ../../share/VERSION.txt $root_dir
-	make -C $build_dir docs
-        # This is a hack to force the built documentation to be included
-        # in the source package.
-	cp $build_dir/docs/*.html $root_dir/docs
-	make -C $build_dir package_source
-	rm $root_dir/docs/*.html
-	if [ ! -d $dist_dir ]; then 
-           mkdir -p $dist_dir 
-        fi
-	if [ ! -d $doc_dir ]; then
-           mkdir -p $doc_dir
-	fi
-	mv $build_dir/$tarball $dist_dir
-	cp $build_dir/docs/*.html $doc_dir
-        clean
-	;;
+  dist)
+    prepare_build
+    cp ../../share/VERSION.txt $root_dir
+    make -C $build_dir docs
+    # This is a hack to force the built documentation to be included
+    # in the source package.
+    cp $build_dir/docs/*.html $root_dir/docs
+    make -C $build_dir package_source
+    rm $root_dir/docs/*.html
+    if [ ! -d $dist_dir ]; then
+      mkdir -p $dist_dir
+    fi
+    if [ ! -d $doc_dir ]; then
+      mkdir -p $doc_dir
+    fi
+    mv $build_dir/$tarball $dist_dir
+    cp $build_dir/docs/*.html $doc_dir
+    clean
+    ;;
 
-    clean)
-        clean
-	;;
+  clean)
+    clean
+    ;;
 
-    *)
-        echo "Usage: $0 {interop-data-generate|interop-data-test|test|dist|clean}"
-        exit 1
+  *)
+    echo "Usage: $0 {interop-data-generate|interop-data-test|test|dist|clean}"
+    exit 1
 esac
 
 exit 0

http://git-wip-us.apache.org/repos/asf/avro/blob/ade55151/lang/c/version.sh
----------------------------------------------------------------------
diff --git a/lang/c/version.sh b/lang/c/version.sh
index c0215a2..027c08f 100755
--- a/lang/c/version.sh
+++ b/lang/c/version.sh
@@ -28,7 +28,7 @@
 # Do each of these steps in order and libtool will do the right thing
 # (1) If there are changes to libavro:
 #         libavro_micro_version++
-#         libavro_interface_age++ 
+#         libavro_interface_age++
 #         libavro_binary_age++
 # (2) If any functions have been added:
 #         libavro_interface_age = 0
@@ -42,9 +42,9 @@ libavro_binary_age=0
 
 # IGNORE EVERYTHING ELSE FROM HERE DOWN.........
 if test $# != 1; then
-	echo "USAGE: $0 CMD"
-  	echo "  where CMD is one of: project, libtool, libcurrent, librevision, libage"
-	exit 1
+  echo "USAGE: $0 CMD"
+    echo "  where CMD is one of: project, libtool, libcurrent, librevision, libage"
+  exit 1
 fi
 
 # http://sources.redhat.com/autobook/autobook/autobook_91.html
@@ -53,29 +53,29 @@ libcurrent=$(($libavro_micro_version - $libavro_interface_age))
 # The implementation number of the 'current' interface
 librevision=$libavro_interface_age
 # The difference between the newest and oldest interfaces that this library implements
-# In other words, the library implements all the interface numbers in the range from 
+# In other words, the library implements all the interface numbers in the range from
 # number 'current - age' to current
 libage=$(($libavro_binary_age - $libavro_interface_age))
 
 if test "$1" = "project"; then
-	project_ver="undef"
-	version_file="VERSION.txt"
-	if test -f $version_file; then
-		project_ver=$(cat $version_file)
-	else
-		version_file="../../share/VERSION.txt"
-		if test -f $version_file; then
-			project_ver=$(cat $version_file)
-		fi
-	fi
-	printf "%s" $project_ver
+  project_ver="undef"
+  version_file="VERSION.txt"
+  if test -f $version_file; then
+    project_ver=$(cat $version_file)
+  else
+    version_file="../../share/VERSION.txt"
+    if test -f $version_file; then
+      project_ver=$(cat $version_file)
+    fi
+  fi
+  printf "%s" $project_ver
 elif test "$1" = "libtool"; then
-	# useful for the -version-info flag for libtool
-	printf "%d:%d:%d" $libcurrent $librevision $libage
+  # useful for the -version-info flag for libtool
+  printf "%d:%d:%d" $libcurrent $librevision $libage
 elif test "$1" = "libcurrent"; then
-	printf "%d" $libcurrent
+  printf "%d" $libcurrent
 elif test "$1" = "librevision"; then
-	printf "%d" $librevision
+  printf "%d" $librevision
 elif test "$1" = "libage"; then
-	printf "%d" $libage
+  printf "%d" $libage
 fi

http://git-wip-us.apache.org/repos/asf/avro/blob/ade55151/lang/csharp/build.sh
----------------------------------------------------------------------
diff --git a/lang/csharp/build.sh b/lang/csharp/build.sh
index 1664266..66520c1 100755
--- a/lang/csharp/build.sh
+++ b/lang/csharp/build.sh
@@ -15,10 +15,10 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
-set -e						  # exit on error
-set -x		
+set -e                # exit on error
+set -x
 
-cd `dirname "$0"`				  # connect to root
+cd `dirname "$0"`                  # connect to root
 
 ROOT=../..
 VERSION=`cat $ROOT/share/VERSION.txt`
@@ -28,38 +28,38 @@ export TARGETFRAMEWORKVERSION=v3.5
 
 case "$1" in
 
-    test)
-	xbuild
-	nunit-console -framework=4.0 Avro.nunit
-	;;
+  test)
+    xbuild
+    nunit-console -framework=4.0 Avro.nunit
+    ;;
 
-    perf)
-	xbuild
-	mono build/perf/Release/Avro.perf.exe
-	;;
+  perf)
+    xbuild
+    mono build/perf/Release/Avro.perf.exe
+    ;;
 
-    dist)
-        # build binary tarball
-	xbuild
-  # add the binary LICENSE and NOTICE to the tarball
-  cp LICENSE NOTICE build/
-	mkdir -p $ROOT/dist/csharp
-        (cd build; tar czf $ROOT/../dist/csharp/avro-csharp-$VERSION.tar.gz main codegen ipc LICENSE NOTICE)
+  dist)
+    # build binary tarball
+    xbuild
+    # add the binary LICENSE and NOTICE to the tarball
+    cp LICENSE NOTICE build/
+    mkdir -p $ROOT/dist/csharp
+    (cd build; tar czf $ROOT/../dist/csharp/avro-csharp-$VERSION.tar.gz main codegen ipc LICENSE NOTICE)
 
-        # build documentation
-        doxygen Avro.dox
-	mkdir -p $ROOT/build/avro-doc-$VERSION/api/csharp
-        cp -pr build/doc/* $ROOT/build/avro-doc-$VERSION/api/csharp
-	;;
+    # build documentation
+    doxygen Avro.dox
+    mkdir -p $ROOT/build/avro-doc-$VERSION/api/csharp
+    cp -pr build/doc/* $ROOT/build/avro-doc-$VERSION/api/csharp
+    ;;
 
-    clean)
-	rm -rf src/apache/{main,test,codegen,ipc}/obj
-        rm -rf build
-	;;
+  clean)
+    rm -rf src/apache/{main,test,codegen,ipc}/obj
+    rm -rf build
+    ;;
 
-    *)
-        echo "Usage: $0 {test|clean|dist|perf}"
-        exit 1
+  *)
+    echo "Usage: $0 {test|clean|dist|perf}"
+    exit 1
 esac
 
 exit 0

http://git-wip-us.apache.org/repos/asf/avro/blob/ade55151/lang/java/archetypes/avro-service-archetype/src/main/resources/archetype-resources/src/main/avro/order-service.avpr
----------------------------------------------------------------------
diff --git a/lang/java/archetypes/avro-service-archetype/src/main/resources/archetype-resources/src/main/avro/order-service.avpr b/lang/java/archetypes/avro-service-archetype/src/main/resources/archetype-resources/src/main/avro/order-service.avpr
index b9ea5c5..c835141 100644
--- a/lang/java/archetypes/avro-service-archetype/src/main/resources/archetype-resources/src/main/avro/order-service.avpr
+++ b/lang/java/archetypes/avro-service-archetype/src/main/resources/archetype-resources/src/main/avro/order-service.avpr
@@ -2,45 +2,45 @@
   "namespace":"${package}.service",
   "protocol": "OrderProcessingService",
   "doc": "Protocol to submit customer Orders",
-  "types": [    
- 	{
+  "types": [
+    {
       "name": "Item", "type": "record",
       "fields": [
         {"name": "name", "type": "string"},
         {"name": "sku", "type": "long"},
- 		{"name": "quantity", "type": "int"}
- 	  ]
- 	},
- 	{
+        {"name": "quantity", "type": "int"}
+      ]
+    },
+    {
       "name": "Order", "type": "record",
       "fields": [
         {"name": "customerId", "type": "long"},
         {"name": "orderId", "type": "long"},
- 		{"name": "orderItems", "type": {"type": "array", "items": "Item"}}
- 	  ]
- 	},
- 	{
+        {"name": "orderItems", "type": {"type": "array", "items": "Item"}}
+      ]
+    },
+    {
       "name": "Confirmation", "type": "record",
       "fields": [
         {"name": "customerId", "type": {"type": "long"}},
         {"name": "orderId", "type": "long"},
         {"name": "estimatedCompletion", "type": "long"}
- 	  ]
- 	},
- 	{
+      ]
+    },
+    {
       "name": "OrderFailure", "type": "error",
       "fields": [
-      	{"name": "message", "type": "string"}
+        {"name": "message", "type": "string"}
       ]
- 	} 	
+    }
    ],
-    
+
    "messages": {
      "submitOrder": {
-	   "doc": "Submit an Order",
-	   "request": [{"name": "order", "type": "Order"}],
-	   "response": "Confirmation",
-	   "errors": ["OrderFailure"]
-	 }
+       "doc": "Submit an Order",
+       "request": [{"name": "order", "type": "Order"}],
+       "response": "Confirmation",
+       "errors": ["OrderFailure"]
+     }
    }
 }

http://git-wip-us.apache.org/repos/asf/avro/blob/ade55151/lang/java/archetypes/avro-service-archetype/src/main/resources/archetype-resources/src/main/java/service/SimpleOrderService.java
----------------------------------------------------------------------
diff --git a/lang/java/archetypes/avro-service-archetype/src/main/resources/archetype-resources/src/main/java/service/SimpleOrderService.java b/lang/java/archetypes/avro-service-archetype/src/main/resources/archetype-resources/src/main/java/service/SimpleOrderService.java
index 161ddc3..0c933a9 100644
--- a/lang/java/archetypes/avro-service-archetype/src/main/resources/archetype-resources/src/main/java/service/SimpleOrderService.java
+++ b/lang/java/archetypes/avro-service-archetype/src/main/resources/archetype-resources/src/main/java/service/SimpleOrderService.java
@@ -31,7 +31,7 @@ import org.slf4j.LoggerFactory;
  */
 public class SimpleOrderService implements OrderProcessingService {
 
-	private Logger log = LoggerFactory.getLogger(SimpleOrderService.class);
+  private Logger log = LoggerFactory.getLogger(SimpleOrderService.class);
 
   @Override
   public Confirmation submitOrder(Order order) throws AvroRemoteException, OrderFailure {

http://git-wip-us.apache.org/repos/asf/avro/blob/ade55151/lang/java/archetypes/avro-service-archetype/src/main/resources/archetype-resources/src/test/java/integration/SimpleOrderServiceIntegrationTest.java
----------------------------------------------------------------------
diff --git a/lang/java/archetypes/avro-service-archetype/src/main/resources/archetype-resources/src/test/java/integration/SimpleOrderServiceIntegrationTest.java b/lang/java/archetypes/avro-service-archetype/src/main/resources/archetype-resources/src/test/java/integration/SimpleOrderServiceIntegrationTest.java
index e751192..7886666 100644
--- a/lang/java/archetypes/avro-service-archetype/src/main/resources/archetype-resources/src/test/java/integration/SimpleOrderServiceIntegrationTest.java
+++ b/lang/java/archetypes/avro-service-archetype/src/main/resources/archetype-resources/src/test/java/integration/SimpleOrderServiceIntegrationTest.java
@@ -44,44 +44,44 @@ import ${package}.service.Order;
  */
 public class SimpleOrderServiceIntegrationTest {
 
-	private static SimpleOrderServiceEndpoint service;
-	private static SimpleOrderServiceClient client;
+  private static SimpleOrderServiceEndpoint service;
+  private static SimpleOrderServiceClient client;
 
-	@Test
-	public void simpleRoundTripTest() throws Exception {
-		Order simpleOrder = createOrder();
-		Confirmation c = client.submitOrder(simpleOrder);
+  @Test
+  public void simpleRoundTripTest() throws Exception {
+    Order simpleOrder = createOrder();
+    Confirmation c = client.submitOrder(simpleOrder);
 
-		assertEquals(c.getOrderId(), simpleOrder.getOrderId());
-		assertEquals(c.getCustomerId(), simpleOrder.getCustomerId());
-		assertTrue(c.getEstimatedCompletion() > 0);
-	}
+    assertEquals(c.getOrderId(), simpleOrder.getOrderId());
+    assertEquals(c.getCustomerId(), simpleOrder.getCustomerId());
+    assertTrue(c.getEstimatedCompletion() > 0);
+  }
 
-	@BeforeClass
-	public static void setupTransport() throws Exception {
-		InetSocketAddress endpointAddress = new InetSocketAddress("0.0.0.0", 12345);
-		service = new SimpleOrderServiceEndpoint(endpointAddress);
-		client = new SimpleOrderServiceClient(endpointAddress);
+  @BeforeClass
+  public static void setupTransport() throws Exception {
+    InetSocketAddress endpointAddress = new InetSocketAddress("0.0.0.0", 12345);
+    service = new SimpleOrderServiceEndpoint(endpointAddress);
+    client = new SimpleOrderServiceClient(endpointAddress);
 
-		service.start();
-		client.start();
-	}
+    service.start();
+    client.start();
+  }
 
-	@AfterClass
-	public static void shutdownTransport() throws Exception {
-		client.stop();
-		service.stop();
-	}
+  @AfterClass
+  public static void shutdownTransport() throws Exception {
+    client.stop();
+    service.stop();
+  }
 
-	public Order createOrder() {
-		return Order.newBuilder().setOrderId(1).setCustomerId(1).setOrderItems(createItems()).build();
-	}
+  public Order createOrder() {
+    return Order.newBuilder().setOrderId(1).setCustomerId(1).setOrderItems(createItems()).build();
+  }
 
-	public List<Item> createItems() {
-		List<Item> items = new ArrayList<Item>();
-		for (int x = 0; x < 5; x++)
-			items.add(Item.newBuilder().setName("Item-" + x).setQuantity(x + 1).setSku(1230 + x).build());
-		return items;
-	}
+  public List<Item> createItems() {
+    List<Item> items = new ArrayList<Item>();
+    for (int x = 0; x < 5; x++)
+      items.add(Item.newBuilder().setName("Item-" + x).setQuantity(x + 1).setSku(1230 + x).build());
+    return items;
+  }
 
 }

http://git-wip-us.apache.org/repos/asf/avro/blob/ade55151/lang/java/avro/src/main/java/org/apache/avro/AvroRemoteException.java
----------------------------------------------------------------------
diff --git a/lang/java/avro/src/main/java/org/apache/avro/AvroRemoteException.java b/lang/java/avro/src/main/java/org/apache/avro/AvroRemoteException.java
index 11e2125..8af0f71 100644
--- a/lang/java/avro/src/main/java/org/apache/avro/AvroRemoteException.java
+++ b/lang/java/avro/src/main/java/org/apache/avro/AvroRemoteException.java
@@ -35,12 +35,12 @@ public class AvroRemoteException extends IOException {
     super(value != null ? value.toString() : null);
     this.value = value;
   }
-  
+
   public AvroRemoteException(Object value, Throwable cause) {
     super(value != null ? value.toString() : null, cause);
     this.value = value;
   }
-  
+
   public Object getValue() { return value; }
 }
 

http://git-wip-us.apache.org/repos/asf/avro/blob/ade55151/lang/java/avro/src/main/java/org/apache/avro/JsonProperties.java
----------------------------------------------------------------------
diff --git a/lang/java/avro/src/main/java/org/apache/avro/JsonProperties.java b/lang/java/avro/src/main/java/org/apache/avro/JsonProperties.java
index 6273036..4e18c09 100644
--- a/lang/java/avro/src/main/java/org/apache/avro/JsonProperties.java
+++ b/lang/java/avro/src/main/java/org/apache/avro/JsonProperties.java
@@ -31,7 +31,7 @@ import org.codehaus.jackson.node.TextNode;
 /**
  * Base class for objects that have JSON-valued properties. Avro and JSON values are
  * represented in Java using the following mapping:
- * 
+ *
  * <table>
  *   <th>
  *     <td>Avro type</td>
@@ -154,7 +154,7 @@ public abstract class JsonProperties {
    * value <tt>value</tt>. Neither <tt>name</tt> nor <tt>value</tt> can be
    * <tt>null</tt>. It is illegal to add a property if another with
    * the same name but different value already exists in this schema.
-   * 
+   *
    * @param name The name of the property to add
    * @param value The value for the property to add
    */
@@ -167,7 +167,7 @@ public abstract class JsonProperties {
    * value <tt>value</tt>. Neither <tt>name</tt> nor <tt>value</tt> can be
    * <tt>null</tt>. It is illegal to add a property if another with
    * the same name but different value already exists in this schema.
-   * 
+   *
    * @param name The name of the property to add
    * @param value The value for the property to add
    * @deprecated use {@link #addProp(String, Object)}
@@ -176,10 +176,10 @@ public abstract class JsonProperties {
   public synchronized void addProp(String name, JsonNode value) {
     if (reserved.contains(name))
       throw new AvroRuntimeException("Can't set reserved property: " + name);
-      
+
     if (value == null)
       throw new AvroRuntimeException("Can't set a property to null: " + name);
-    
+
     JsonNode old = props.get(name);
     if (old == null)
       props.put(name, value);

http://git-wip-us.apache.org/repos/asf/avro/blob/ade55151/lang/java/avro/src/main/java/org/apache/avro/Protocol.java
----------------------------------------------------------------------
diff --git a/lang/java/avro/src/main/java/org/apache/avro/Protocol.java b/lang/java/avro/src/main/java/org/apache/avro/Protocol.java
index 9c896d2..73e235c 100644
--- a/lang/java/avro/src/main/java/org/apache/avro/Protocol.java
+++ b/lang/java/avro/src/main/java/org/apache/avro/Protocol.java
@@ -110,7 +110,7 @@ public class Protocol extends JsonProperties {
     public Schema getErrors() {
       return Schema.createUnion(new ArrayList<Schema>());
     }
-    
+
     /** Returns true if this is a one-way message, with no response or errors.*/
     public boolean isOneWay() { return true; }
 
@@ -161,7 +161,7 @@ public class Protocol extends JsonProperties {
   private class TwoWayMessage extends Message {
     private Schema response;
     private Schema errors;
-    
+
     /** Construct a message. */
     private TwoWayMessage(String name, String doc, Map<String,?> propMap,
                           Schema request, Schema response, Schema errors) {
@@ -245,7 +245,7 @@ public class Protocol extends JsonProperties {
 
   /** The namespace of this protocol.  Qualifies its name. */
   public String getNamespace() { return namespace; }
-  
+
   /** Doc string for this protocol. */
   public String getDoc() { return doc; }
 
@@ -300,7 +300,7 @@ public class Protocol extends JsonProperties {
       && this.messages.equals(that.messages)
       && this.props.equals(that.props);
   }
-  
+
   public int hashCode() {
     return name.hashCode() + namespace.hashCode()
       + types.hashCode() + messages.hashCode() + props.hashCode();
@@ -340,7 +340,7 @@ public class Protocol extends JsonProperties {
       if (!resolved.contains(type))
         type.toJson(resolved, gen);
     gen.writeEndArray();
-    
+
     gen.writeObjectFieldStart("messages");
     for (Map.Entry<String,Message> e : messages.entrySet()) {
       gen.writeFieldName(e.getKey());
@@ -379,7 +379,7 @@ public class Protocol extends JsonProperties {
       b.append(part);
     return parse(b.toString());
   }
-      
+
   /** Read a protocol from a Json string. */
   public static Protocol parse(String string) {
     try {
@@ -415,7 +415,7 @@ public class Protocol extends JsonProperties {
     this.namespace = nameNode.getTextValue();
     types.space(this.namespace);
   }
-  
+
   private void parseDoc(JsonNode json) {
     this.doc = parseDocNode(json);
   }
@@ -505,7 +505,7 @@ public class Protocol extends JsonProperties {
       fields.add(newField);
     }
     Schema request = Schema.createRecord(fields);
-    
+
     boolean oneWay = false;
     JsonNode oneWayNode = json.get("one-way");
     if (oneWayNode != null) {


Mime
View raw message